@echo off

REM CommSwap.bat -- release network resources (IP addresses), optionally put the laptop
REM into hibernation or shutdown. Reads the command line argument, or prompts user if no argument supplied.
REM
REM CommSwap.bat s   -- (swap) release network resources, wait 5 seconds, then renew resources.
REM CommSwap.bat h   -- (hibernate) release network resources, then hibernate.
REM

set xAction=%1
if not "%1" == "" goto CHECKPARM

:ASK
echo.
echo Network resource release, with optional renew.  Use this process when
echo switching between wireless and wired connections, or to gracefully
echo prepare the computer to hibernate before changing location.
echo.
echo Select from the following:
echo.
echo S -- (Swap) Release all adapters, wait 5 seconds, the renew all adapters.
echo H -- (Hibernate) Release all adapters, then initiate hibernation.
echo X -- Exit: don't do anything.
echo.
set /P xAction="Enter your choice: "

:CHECKPARM
if /I "%xAction%" == "h" goto OK
if /I "%xAction%" == "s" goto OK
if /I "%xAction%" == "x" exit

echo.
echo Command "%xAction%: not understood.. please try again.
goto ASK

:OK

ipconfig /release *

if /I "%xAction%" == "h" start rundll32 Powrprof.dll,SetSuspendState
if /I "%xAction%" == "h" exit

echo Waiting 5 seconds for you to disconnect a network cable or
echo turn off the wireless connection.
echo.
echo WScript.Sleep (5000) > c:\$$tmp$$.vbs
cscript //nologo //b c:\$$tmp$$.vbs
del c:\$$tmp$$.vbs

ipconfig /renew *

exit
